//
// Copyright 2021 Pixar
//
// Licensed under the Apache License, Version 2.0 (the "Apache License")
// with the following modification; you may not use this file except in
// compliance with the Apache License and the following modification to it:
// Section 6. Trademarks. is deleted and replaced with:
//
// 6. Trademarks. This License does not grant permission to use the trade
//    names, trademarks, service marks, or product names of the Licensor
//    and its affiliates, except as required to comply with Section 4(c) of
//    the License and to reproduce the content of the NOTICE file.
//
// You may obtain a copy of the Apache License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the Apache License with the above modification is
// distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
// KIND, either express or implied. See the Apache License for the specific
// language governing permissions and limitations under the Apache License.
//
////////////////////////////////////////////////////////////////////////
// This file is generated by a script.  Do not edit directly.  Edit the
// schema.template.h file to make changes.

#ifndef PXR_IMAGING_HD_GEOM_SUBSETS_SCHEMA_H
#define PXR_IMAGING_HD_GEOM_SUBSETS_SCHEMA_H

#include "pxr/imaging/hd/api.h"

#include "pxr/imaging/hd/geomSubsetSchema.h"


PXR_NAMESPACE_OPEN_SCOPE

//-----------------------------------------------------------------------------

#define HDGEOMSUBSETS_SCHEMA_TOKENS \
    (geomSubsets) \

TF_DECLARE_PUBLIC_TOKENS(HdGeomSubsetsSchemaTokens, HD_API,
    HDGEOMSUBSETS_SCHEMA_TOKENS);

//-----------------------------------------------------------------------------

class HdGeomSubsetsSchema : public HdSchema
{
public:
    HdGeomSubsetsSchema(HdContainerDataSourceHandle container)
    : HdSchema(container) {}

    TfTokenVector GetIds();
    HdGeomSubsetSchema GetGeomSubset(const TfToken & id);


    /// Retrieves a container data source with the schema's default name token
    /// "geomSubsets" from the parent container and constructs a
    /// HdGeomSubsetsSchema instance.
    /// Because the requested container data source may not exist, the result
    /// should be checked with IsDefined() or a bool comparison before use.
    HD_API
    static HdGeomSubsetsSchema GetFromParent(
        const HdContainerDataSourceHandle &fromParentContainer);


};

PXR_NAMESPACE_CLOSE_SCOPE

#endif